Post
/api/v3/messages/whatsapp
Initiate outbound messages through WhatsApp. Use this method instead of the GET method for most applications.
Query parameters
Examplecontact_center_api_key
agent
string
The agent extension. If you intend to automatically archive this message after sending it, this field can be empty.
Example101
template_uuid
string (uuid)
Template ID
Example3fa85f64-5717-4562-b3fc-2c963f66afa6
from
string
The phone number associated with the message template
Example18885658889
recipients
Array of object
The recipients of the message
object
to
string Required
The message recipient's phone number
Example18885658889
account_id
string
The message recipient's account ID
ExampleAC001
template_data
object
body
object
placeholders
Array of string
string
Responses
200
Success
object
status
Array of object
object
400
Bad Request
object
errors
Array of string (whatsapp_error_messages)
string
Valid values[
"Invalid agent extension",
"Provide at least one destination number",
"API rate limit exceeded",
"API message rate limit exceeded",
"The agent settings for the requested sending are incorrect",
"Invalid sender",
"Invalid message template UUID",
"Invalid 'template_uuid' for specified 'from' option",
"WhatsApp Outbound Messaging is disabled for your contact center",
"The API key specified is invalid"
]